org.apache.jmeter.samplers

## Interface SampleSender

All Known Implementing Classes:
  AbstractSampleSender, AsynchSampleSender, BatchSampleSender, DataStrippingSampleSender, DiskStoreSampleSender, HoldSampleSender, StandardSampleSender, StatisticalSampleSender

    public interface SampleSender

This interface is used to define the methods that need to be intercepted by the SampleSender wrapper classes processed by the RemoteListenerWrapper.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sampleOccurred(SampleEvent e)` A sample occurred.
`void` `testEnded()` The test ended (probably not used; client-server mode needs a host)
`void` `testEnded(String host)` The test ended.

### Method Detail

#### testEnded

    void testEnded()

The test ended (probably not used; client-server mode needs a host)

#### testEnded

    void testEnded(String host)

The test ended. This will be called from the engine thread.

Parameters:
  `host` - the host that the test ended on.

#### sampleOccurred

    void sampleOccurred(SampleEvent e)

A sample occurred. This method will be called from the sampler thread.

Parameters:
  `e` - a Sample Event